| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros | Enumerations
toplevel.h File Reference

## Classes

class | wxTopLevelWindow
| wxTopLevelWindow is a common base class for wxDialog and wxFrame. More...

## Macros

#define | wxDEFAULT_FRAME_STYLE

## Enumerations

enum | { wxUSER_ATTENTION_INFO = 1, wxUSER_ATTENTION_ERROR = 2 }
| Styles used with wxTopLevelWindow::RequestUserAttention(). More...
enum | { wxFULLSCREEN_NOMENUBAR = 0x0001, wxFULLSCREEN_NOTOOLBAR = 0x0002, wxFULLSCREEN_NOSTATUSBAR = 0x0004, wxFULLSCREEN_NOBORDER = 0x0008, wxFULLSCREEN_NOCAPTION = 0x0010, wxFULLSCREEN_ALL }
| Styles used with wxTopLevelWindow::ShowFullScreen(). More...

## Macro Definition Documentation

#define wxDEFAULT_FRAME_STYLE

Value:
(wxSYSTEM_MENU | \
wxRESIZE_BORDER | \
wxMINIMIZE_BOX | \
wxMAXIMIZE_BOX | \
wxCLOSE_BOX | \
wxCAPTION | \
wxCLIP_CHILDREN)
wxMINIMIZE_BOX
#define wxMINIMIZE_BOX
Definition: defs.h:1269
wxMAXIMIZE_BOX
#define wxMAXIMIZE_BOX
Definition: defs.h:1270
wxCLIP_CHILDREN
#define wxCLIP_CHILDREN
Definition: defs.h:238
wxSYSTEM_MENU
#define wxSYSTEM_MENU
Definition: defs.h:1268
wxCLOSE_BOX
#define wxCLOSE_BOX
Definition: defs.h:1266
wxRESIZE_BORDER
#define wxRESIZE_BORDER
Definition: defs.h:1273
wxCAPTION
#define wxCAPTION
Definition: defs.h:218

## Enumeration Type Documentation

anonymous enum

Styles used with wxTopLevelWindow::RequestUserAttention().

Enumerator
wxUSER_ATTENTION_INFO | Requests user attention,.
wxUSER_ATTENTION_ERROR | Results in a more drastic action.

anonymous enum

Styles used with wxTopLevelWindow::ShowFullScreen().

Enumerator
wxFULLSCREEN_NOMENUBAR | Don't display the menu bar.
wxFULLSCREEN_NOTOOLBAR | Don't display toolbar bars.
wxFULLSCREEN_NOSTATUSBAR | Don't display the status bar.
wxFULLSCREEN_NOBORDER | Don't display any border.
wxFULLSCREEN_NOCAPTION | Don't display a caption.
wxFULLSCREEN_ALL | Combination of all above, will display the least possible.